Commit a61c2514 authored by Laurent Montel's avatar Laurent Montel
Browse files

Don't rebuild all

parent df300752
......@@ -18,6 +18,9 @@ include(KDEFrameworkCompilerSettings)
include(ECMInstallIcons)
set(KF5_VERSION "5.5.0")
set(KDEPIMLIBS_VERSION "4.79.0")
set(KCONTACTS_VERSION "4.79.0")
set(CALENDARCORE_VERSION "4.79.0")
set(KMIMELIB_VERSION "4.79.0")
ecm_setup_version(${KDEPIMLIBS_VERSION} VARIABLE_PREFIX AKONADICONTACT
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_version.h"
......@@ -31,9 +34,12 @@ find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(KF5Contacts ${KDEPIMLIBS_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KDEPIMLIBS_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KDEPIMLIBS_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${CALENDARCORE_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
if(${CMAKE_SOURCE_DIR} STREQUAL ${Akonadi-Contact_SOURCE_DIR})
find_package(KF5Akonadi CONFIG REQUIRED)
......
@PACKAGE_INIT@
find_dependency(KF5Akonadi "@KDEPIMLIBS_VERSION@")
find_dependency(KF5Contacts "@KDEPIMLIBS_VERSION@")
find_dependency(KF5CalendarCore "@KDEPIMLIBS_VERSION@")
find_dependency(KF5Contacts "@KCONTACTS_VERSION@")
find_dependency(KF5CalendarCore "@CALENDARCORE_VERSION@")
include("${CMAKE_CURRENT_LIST_DIR}/KF5AkonadiContactTargets.cmake")
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment